#!/bin/sh

# Run the Java CPU fred Daemon.
# Suitable for linking/running straight from /etc/init.d.

if [ "$1" = "start" ] ; then
    # Run with a small heap to conserve memory.
    # Run in server mode for long-term efficiency.
    exec java -server -Xms4m -Xmx16m -jar /local/jcpufreqd/bin/jCPUFreqD.jar > /tmp/JCPUFreqD.out 2>&1 &
elif [ "$1" = "stop" ] ; then
    # Remove the lock and the daemon will eventually die...
    rm -f /var/run/JCPUFreqD.lock
else
    echo "Usage: $0 {start|stop}"
    exit 1
fi

exit 0
